## 3.2.0

 - **REFACTOR**(ui_kit): Refactored code using the UI components package, due to breaking changes.
 - **FIX**: apply dart format.
 - **FIX**: apply dart fix --apply.
 - **FEAT**: implement notification abstraction package.

## 3.1.0

 - **FIX**: upgrade to flutter 3.10.
 - **FEAT**(ui): export pricing card.
 - **FEAT**(ui): proxy some rich text parameters.
 - **FEAT**(ui): tweak some values.

## 3.0.1

 - Update a dependency to the latest release.

## 3.0.0

> Note: This release has breaking changes.

 - **FIX**(gen): rename builder correctly. (cef73aa6)
 - **FEAT**(ui): add pricing card. (bfbeabe7)
 - **FEAT**(ui): update default extension implementation. (01a5619d)
 - **FEAT**(ui): add animated decorated box + animate all buttons + customize duration in style. (4ebb679a)
 - **FEAT**(ui): add colors and rework ComponentThemeData. (abd5e1b5)
 - **FEAT**(ui_kit): update example by removing adaptative theme. (a024b7e7)
 - **FEAT**(ui): make components more coherent + docs. (01269027)
 - **FEAT**(ui): make gradient as component. (0d5109fc)
 - **FEAT**(ui): fix, rename, rewrite some helpers. (3fb40205)
 - **FEAT**(ui_kit): make flat button fade on transition. (32cc6e82)
 - **FEAT**(ui_kit): add more control over flat button prefix/suffix color. (2baaf5c0)
 - **BREAKING** **FEAT**(ui): move last extensions + add extension provider. (4097a420)
 - **BREAKING** **FEAT**(ui): rework theme resolver mechanism + move theme extension implementations. (8f5e3923)

## 2.0.0

> Note: This release has breaking changes.

 - **REFACTOR**: use tapped state and merged styles.
 - **REFACTOR**: remove selection area of rich text, its not his reponsibility.
 - **REFACTOR**: replace ThemeResolver by ThemeHelper in Loader / RichTextBuilder (closes #148).
 - **REFACTOR**: adapt ui_kit.
 - **REFACTOR**: use ThemeHelper in cards.
 - **REFACTOR**: rename GradientBoxBorder.
 - **REFACTOR**: update textinput component using borderColors as Color.
 - **REFACTOR**: rework text gradient and text wrapper.
 - **REFACTOR**: move exportable bloc from mixin to widget.
 - **REFACTOR**: make resolve private and dotter child a widget.
 - **FIX**: fix text align, add selection and update example for rich text builder.
 - **FIX**: remove useless file.
 - **FIX**: fix tab action focus on textinputs.
 - **FIX**: inverse merge in TextInputStyle.
 - **FIX**: use multicolor in cards.
 - **FIX**: fix export theme file.
 - **FIX**: remove wyatt arch ios example.
 - **FIX**: remove null check operator in RichTextBuilder component.
 - **FIX**: remove null check operator in Loader component.
 - **FIX**: fix conflicts in card component after rebase.
 - **FIX**: move theme_resolver in compnoent to fix code generation.
 - **FIX**: make card core stateless.
 - **FIX**: add cacheExtend as a trade-off in listview example.
 - **FIX**: add local font assets + compress images.
 - **FEAT**: make top bar selector customizable.
 - **FEAT**: update example (#138).
 - **FEAT**: implemement text inputs (#138).
 - **FEAT**: add text input theme extension (#138).
 - **FEAT**: add some useful text customization in TextWrapper (closes #149).
 - **FEAT**: implement rich text builder (closes #141).
 - **FEAT**: remove .raw call.
 - **FEAT**: add loader implementation.
 - **FEAT**: export ui kit as component theme data.
 - **FEAT**: implement top app bar and update example.
 - **FEAT**: update example with full studio button theme.
 - **FEAT**: add theme control in example.
 - **FEAT**: finalize material ready buttons.
 - **FEAT**: implement information card (#126).
 - **FEAT**: implement flat button.
 - **FEAT**: add theme extension support in buttons + theme negociation.
 - **FEAT**: add theme extension shortcut.
 - **FEAT**: add card theme extension, fix bugs & update example (close #126).
 - **FEAT**: add quote / skill / portfolio cards (#126).
 - **FEAT**: make skillcard header icon customizable.
 - **FEAT**: update example with drawer and custom launch parameters.
 - **FEAT**: add multicolor support in linear gradient helper.
 - **FEAT**: implement file selection button with invalid cubit and dotted package.
 - **FEAT**: implement simple icon button and use dimension style.
 - **FEAT**: add symbol button + enhance bloc control over state.
 - **FEAT**: implement top nav bar.
 - **FEAT**: use MultiColor in button style.
 - **FEAT**: implement flat/outlined button.
 - **FEAT**: move style implementation from component to ui_kit with theme resolver.
 - **FEAT**: allow to cascade styles in ThemeHelper.
 - **DOCS**: add some documentation + readme.
 - **DOCS**: add theme negociation explaination.
 - **BREAKING** **REFACTOR**: remove bloc export in buttons to be state management solution agnostic (closes #147).

## 1.0.0

- Initial version.
